summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author David Woodfall2010-05-13 01:01:17 +0200
committer David Somero2010-05-13 01:01:17 +0200
commit335917f3a267d18b76fac46704998d79a949bc94 (patch)
treeb88b33fc94932eb99cf1b6bcafc61d8e90499feb
parent320cd13fa7df0d715793a4f74ad00d54a0635769 (diff)
downloadslackbuilds-335917f3a267d18b76fac46704998d79a949bc94.tar.gz
system/whowatch: Added to 13.0 repository
-rw-r--r--system/whowatch/README7
-rw-r--r--system/whowatch/process.diff12
-rw-r--r--system/whowatch/slack-desc19
-rw-r--r--system/whowatch/whowatch.SlackBuild76
-rw-r--r--system/whowatch/whowatch.info11
5 files changed, 125 insertions, 0 deletions
diff --git a/system/whowatch/README b/system/whowatch/README
new file mode 100644
index 0000000000..d3e949bc22
--- /dev/null
+++ b/system/whowatch/README
@@ -0,0 +1,7 @@
+Whowatch is an interactive who-like program that displays information
+about the users currently logged on to the machine, in real time.
+Besides standard informations (login name, tty, host, user's process),
+the type of the connection (ie. telnet or ssh) is shown.
+You can toggle display between users' command or idle time.
+You can watch processes tree, navigate in it and send INT and KILL
+signals.
diff --git a/system/whowatch/process.diff b/system/whowatch/process.diff
new file mode 100644
index 0000000000..8df00aced4
--- /dev/null
+++ b/system/whowatch/process.diff
@@ -0,0 +1,12 @@
+diff -ur whowatch-1.4-orig/process.c whowatch-1.4/process.c
+--- whowatch-1.4-orig/process.c 2000-06-06 11:16:12.000000000 +0100
++++ whowatch-1.4/process.c 2009-07-12 13:11:13.000000000 +0100
+@@ -74,7 +74,7 @@
+ memset(z, 0, sizeof *z);
+ check_line(l);
+ z->line = l++;
+- (struct process *) p->priv = z;
++ p->priv = z;
+ z->proc = p;
+ if (*current){
+ z->next = *current;
diff --git a/system/whowatch/slack-desc b/system/whowatch/slack-desc
new file mode 100644
index 0000000000..aa2bc56e80
--- /dev/null
+++ b/system/whowatch/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+whowatch: Whowatch (see who's logged on).
+whowatch:
+whowatch: Whowatch is an interactive who-like program that displays information
+whowatch: about the users currently logged on to the machine, in real time.
+whowatch: Besides standard informations (login name, tty, host, user's process),
+whowatch: the type of the connection (ie. telnet or ssh) is shown.
+whowatch: You can toggle display between users' command or idle time.
+whowatch: You can watch processes tree, navigate in it and send INT and KILL
+whowatch: signals.
+whowatch:
+whowatch: Homepage: http://www.pttk.ae.krakow.pl/~mike/
diff --git a/system/whowatch/whowatch.SlackBuild b/system/whowatch/whowatch.SlackBuild
new file mode 100644
index 0000000000..ae34854959
--- /dev/null
+++ b/system/whowatch/whowatch.SlackBuild
@@ -0,0 +1,76 @@
+#!/bin/sh
+
+# Slackware build script for Whowatch
+# Written by David Woodfall dave@unrealize.co.uk
+
+
+PRGNAM=whowatch
+VERSION=${VERSION:-1.4}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+cat $CWD/process.diff | patch -p1
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --build=$ARCH-slackware-linux
+
+make
+mkdir -p $PKG/usr/bin
+cp whowatch $PKG/usr/bin/.
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp README COPYING KEYS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
+
diff --git a/system/whowatch/whowatch.info b/system/whowatch/whowatch.info
new file mode 100644
index 0000000000..162d928b5b
--- /dev/null
+++ b/system/whowatch/whowatch.info
@@ -0,0 +1,11 @@
+PRGNAM="whowatch"
+VERSION="1.4"
+HOMEPAGE="http://www.pttk.ae.krakow.pl/~mike/"
+DOWNLOAD="http://www.pttk.ae.krakow.pl/~mike/download/whowatch-1.4.tar.gz"
+MD5SUM="0870155e8b75b99f9954e76fb20f9528"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="David Woodfall"
+EMAIL="dave@unrealize.co.uk"
+APPROVED="dsomero"
+